Bug 115386 - Show Mail Merge toolbar when opening document with embedded datasource
Summary: Show Mail Merge toolbar when opening document with embedded datasource
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium enhancement
Assignee: Mike Kaganski
URL:
Whiteboard: target:6.1.0 target:6.2.0
Keywords:
Depends on:
Blocks: Mail-Merge
  Show dependency treegraph
 
Reported: 2018-02-01 18:42 UTC by Aron Budea
Modified: 2018-05-26 13:13 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Aron Budea 2018-02-01 18:42:17 UTC
Since 5.1 it's possible to create mail merge documents with embedded data sources. It would make sense to show Mail Merge toolbar by default when opening such a document.

Would it also make sense to show the toolbar for any document that contains mail merge fields? I'm not sure if mail merge fields can be uniquely identified, though...
Comment 1 Buovjaga 2018-02-17 19:19:49 UTC
Ok, let's do it.
Comment 2 Mike Kaganski 2018-05-21 06:38:15 UTC
https://gerrit.libreoffice.org/54612
Comment 3 Mike Kaganski 2018-05-21 06:48:59 UTC
The change above does not concentrate on documents with embedded data sourced only; rather, it follows the suggestion to check if a document contains any mail merge fields.
Comment 4 Commit Notification 2018-05-23 09:39:16 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=5c2c5ff01c23e4f7a8947746afc13a46cbef5bec

tdf#115386: Show Mail Merge toolbar for documents with MM fields

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 Mike Kaganski 2018-05-25 14:22:49 UTC
https://gerrit.libreoffice.org/54813
Comment 6 Commit Notification 2018-05-26 10:41:36 UTC
Mike Kaganski committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=40e431def06b72cc87226cd50c271b42a1adfbbe

tdf#115386: Show Mail Merge toolbar for new labels

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.